###################################################################
:mod:`slapdtest` Spawning test instances of OpenLDAP's slapd server
###################################################################

.. py:module:: slapdtest
   :synopsis: Spawning test instances of OpenLDAP's slapd server
.. moduleauthor:: python-ldap project (see https://www.python-ldap.org/)


The module is used for testing python-ldap itself but can be used for
automatically testing any OpenLDAP-based configuration setup.

This module is pure Python and does not rely on any non-standard modules.
Therefore it can be used stand-alone without the rest of the python-ldap
package.

Functions
^^^^^^^^^


Classes
^^^^^^^

.. autoclass:: slapdtest.SlapdObject
   :members:

.. autoclass:: slapdtest.SlapdTestCase
   :members:
